// Gravit - Version 1.3

// Ce script applique une force gravitationnelle au calque 1.
// La vitesse du calque au dbut de la zone de travail
// est prise comme vitesse initiale.

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: Calque  modifier                   indiffrent                   indiffrent
// 2: indiffrent                             indiffrent                   indiffrent

if (time() == start_time) {
	vel = tmap (time() + step_time, value(pop_layer(1), position)) -
           value(pop_layer(1), position);
	damping = 0.95;					//Frottements (0 = infinis, 1 = nuls)
	grav = 0.9;						// Amplitude de la force de gravit
	grav_dir = {0,1,0};				// Direction de la gravit
	accel = grav * grav_dir;		// Vecteur gravit

	new_pos = value(pop_layer(1), position);
} else {

	vel = vel*damping + accel;						// Ajout d'une acclration discrte  la vitesse
	new_pos = new_pos + vel;		         // Ajout d'une vitesse discrte  la position
	
	// Test de collision avec les bords de la composition et rebond ventuel
	if (new_pos[X] < 0) {
		new_pos[X] = 0;
		vel = {-vel[X], vel[Y]};
	}
	if (new_pos[Y] < 0) {
		new_pos[Y] = 0;
		vel = {vel[X], -vel[Y]};
	}
	if (new_pos[X] > comp_size[X]) {
		new_pos[X] = comp_size[X];
		vel = {-vel[X], vel[Y]};
	}
	if (new_pos[Y] > comp_size[Y]) {
		new_pos[Y] = comp_size[Y];
		vel = {vel[X], -vel[Y]};
	}	
}
value(pop_layer(1), position) = new_pos;
