// Copie des valeurs relatives - Version 1.1

// Ce script copie les valeurs relatives depuis la 2nde ligne de menus locaux dans la 1re ligne.
// En rglant le facteur d'chelle, vous pouvez simuler une parallaxe.
// Dfinissez le facteur d'chelle selon des chiffres infrieurs  1 pour le calque 1 derrire le calque 2.
// Dfinissez le facteur d'chelle selon des chiffres suprieurs  1 pour le calque 1 devant le calque 2.

//      CALQUES                                               PROPRIETES                     COUCHES
//     ------                                              ----------                     --------
// 1 : calque modifi                          proprit modifie           couche modifie
// 2 : calque  partir duquel sont copies les valeurs relatives    proprit en copie depuis    couche en copie depuis

if (time() == start_time) { // Initialisation

	scale_factor = 1.0;		//  1 signifie chelle vers le haut, < 1 signifie chelle vers le bas

	// Compute the initial values for layer 1 and 2
	start_val1 = value(pop_layer(1), pop_property(1))[pop_channel(1)];
	start_val2 = value(pop_layer(2), pop_property(2))[pop_channel(2)];

} else {															// Pour toutes les images aprs la premire
  
	// Calculate the current value for layer 2
	current_val2 = value(pop_layer(2), pop_property(2)) [pop_channel(2)];

	// Assign scaled values from layer 2 to layer 1.
	value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
		start_val1 + (current_val2 - start_val2) * scale_factor;
}
